Name:           elementary-xfce-icon-theme
Version:        0.5
Release:        1%{?dist}
Summary:        Icons for Xfce based on the elementary Project Icon Theme
 

Group:          User Interface/Desktops
License:        GPLv2
URL:            https://github.com/shimmerproject/elementary-xfce 
Source0:       https://github.com/shimmerproject/elementary-xfce/archive/v%{version}.tar.gz#/elementary-xfce-%{version}.tar.gz 

BuildArch:      noarch

%description
This is an icon-theme maintained with Xfce in mind,
but it supports other desktops like Gnome3 as well.
It's a fork of the upstream elementary-project, 
which took place because the team decided to
drop a lot of desktop-specific symlinks. 
This icon-theme is supposed to keep everything 
working, but we'll still pull new icons from upstream 
and integrate them occasionally.

%prep
%setup -c -q %{name}/
mkdir -p doc/elementary-xfce{,-dark,-darker}
cp -p elementary-xfce-%version/elementary-xfce-dark/[A-Z]* doc/elementary-xfce-dark/
cp -p elementary-xfce-%version/elementary-xfce-darker/[A-Z]* doc/elementary-xfce-darker/
cp -p elementary-xfce-%version/elementary-xfce/[A-Z]* doc/elementary-xfce/

%build


%install
mkdir -p  %{buildroot}%{_datadir}/icons
cp -a elementary-xfce-%version/elementary-xfce/  %{buildroot}%{_datadir}/icons
cp -a elementary-xfce-%version/elementary-xfce-dark/  %{buildroot}%{_datadir}/icons
cp -a elementary-xfce-%version/elementary-xfce-darker/  %{buildroot}%{_datadir}/icons
chmod 0644  %{buildroot}%{_datadir}/icons/elementary-xfce/index.theme
chmod 0644  %{buildroot}%{_datadir}/icons/elementary-xfce-dark/index.theme
chmod 0644  %{buildroot}%{_datadir}/icons/elementary-xfce-darker/index.theme
#additional steps to prevent the conflicting file problem
mv  %{buildroot}%{_datadir}/icons/elementary-xfce-darker/actions/16 \
	 %{buildroot}%{_datadir}/icons/elementary-xfce-darker/actions/16_folder
ln -s ../../elementary-xfce/actions/16 \
	 %{buildroot}%{_datadir}/icons/elementary-xfce-darker/actions/16

cp %{buildroot}%{_datadir}/icons/elementary-xfce-darker/actions/16_folder/zoom-fit.svg \
%{buildroot}%{_datadir}/icons/elementary-xfce-darker/actions/16/

rm -rf  %{buildroot}%{_datadir}/icons/elementary-xfce-darker/actions/16_folder



%post
touch --no-create %{_datadir}/icons/elementary-xfce &>/dev/null ||:
touch --no-create %{_datadir}/icons/elementary-xfce-dark &>/dev/null ||:
touch --no-create %{_datadir}/icons/elementary-xfce-darker &>/dev/null ||:


%postun
if [ $1 -eq 0 ] ; then
         touch --no-create %{_datadir}/icons/elementary-xfce &>/dev/null
         touch --no-create %{_datadir}/icons/elementary-xfce-dark &>/dev/null
         touch --no-create %{_datadir}/icons/elementary-xfce-darker &>/dev/null
         gtk-update-icon-cache -q %{_datadir}/icons/elementary-xfce &>/dev/null
         gtk-update-icon-cache -q %{_datadir}/icons/elementary-xfce-dark
&>/dev/null
         gtk-update-icon-cache -q %{_datadir}/icons/elementary-xfce-darker
&>/dev/null ||:
fi

%posttrans
         gtk-update-icon-cache -q %{_datadir}/icons/elementary-xfce &>/dev/null
         gtk-update-icon-cache -q %{_datadir}/icons/elementary-xfce-dark
&>/dev/null
         gtk-update-icon-cache -q %{_datadir}/icons/elementary-xfce-darker
&>/dev/null ||:

%files
%{_datadir}/icons/elementary-xfce/
%{_datadir}/icons/elementary-xfce-dark/
%{_datadir}/icons/elementary-xfce-darker/
%doc doc/*


%changelog
* Sat Jan 17 2015 Johannes Lips <hannes@fedoraproject.org> - 0.5-1
- update to latest upstream version 0.5

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Feb 26 2014 Johannes Lips <hannes@fedoraproject.org> - 0.4-1
- update to latest upstream version 0.4
- add section to prevent conflicting file problem

* Sat Jul 27 2013 Johannes Lips <hannes@fedoraproject.org> - 0.3-3
- added %posttrans scripts

* Thu Jul 25 2013 Johannes Lips <hannes@fedoraproject.org> - 0.3-2
- minor fixes of the spec

* Sat Jul 06 2013 Johannes Lips <hannes@fedoraproject.org> - 0.3-1
- Intial rpm build Fedora
